package com.sw.mes.yb.production.dto;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.sw.mes.core.response.ResponsePage;

import io.swagger.annotations.ApiModelProperty;

public class ResponseTimePage<T> extends ResponsePage<T> {
	@ApiModelProperty(value = "请求时间" )
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    Date time = new Date();
	
	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public ResponseTimePage(List rows, Long total) {
        super.setRows(rows);
        super.setTotal(total);
    }
}
